cURL
curl --request GET \ --url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/info \ --header 'Authorization: Bearer <token>'
{ "tables": [ { "table_name": "<string>", "table_type": "<string>", "number_of_columns": 123, "number_of_rows": 123, "view_dependency": { "view_query": "<string>", "is_orphan": true, "error": "<string>" } } ], "total_tables_and_views": 123, "total_tables": 123, "total_views": 123 }
Get table names, types, and column counts from information_schema. Fast — does not fetch row counts or view dependency info.
The access token received from the authorization server in the OAuth 2.0 flow.
Catalog name.
Schema name.
Table info retrieved successfully.
List of table/view details
Show child attributes
Total number of tables and views
Total number of tables
Total number of views
Was this page helpful?